Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support.internal.tools
[Java] Class MetaClassChangeReporter

    java.lang.Object
      org.codehaus.groovy.grails.support.internal.tools.MetaClassChangeReporter

All Implemented Interfaces:
  groovy.lang.MetaClassRegistryChangeEventListener

    public class MetaClassChangeReporter
    extends java.lang.Object

Simple class that reports when meta class changes and where (in what stack frame) those changes took place

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)` Called when the a constant MetaClass is updated.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### updateConstantMetaClass

    public void updateConstantMetaClass(groovy.lang.MetaClassRegistryChangeEvent cmcu)

  Called when the a constant MetaClass is updated. If the new MetaClass is null, then the MetaClass is removed. Be careful, while this method is executed other updates may happen. If you want this method thread safe, you have to take care of that by yourself.
  Parameters:
    `cmcu` - - the change event

Groovy Documentation